#include "VarioSettings.h"

VarioSettings GnuSettings;

void setup() {
  // Open serial communications and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }


  Serial.print("Initializing SD card...");

  if (!GnuSettings.initSettings()) {
    Serial.println("initialization failed!");
    return;
  }
  Serial.println("initialization done.");

//  writeSDSettings();
  GnuSettings.readSDSettings();
 
 
 //Debuuging Printing
 Serial.println("In RAM Memory");
 Serial.print("exINT = ");
 Serial.println(GnuSettings.exINT);
 Serial.print("exFloat = ");
 Serial.println(GnuSettings.exFloat,10);
 Serial.print("exBoolean = ");
 Serial.println(GnuSettings.exBoolean);
 Serial.print("exLong = ");
 Serial.println(GnuSettings.exLong); 
 //Serial.print("GnuModel = ");
 //Serial.println(Settings.varioModel);
 

}

void loop() {
  // nothing happens after setup
}


